body { background: rgb(19, 21, 22); }

.btn:focus { box-shadow: none !important; }

.btn-vue-sources:hover {
  text-decoration: underline;
  cursor: pointer;
} 

.liste-sources {
  /*background: rgb(48, 44, 37);*/

}

.bloc-menu-filtres,
.recherche-papier-texte,
.bloc-resume-recherche,
.bloc-topographie {
  display: none !important;
}

.carte-source-sel {
  border: 2px solid #fff8e1;
  margin: 0 5px;
  position: relative;
}

.image-source {
  position: absolute;
  border: 1px none red;
  top: 0;
  bottom: 200px;
  width: 100%;  
}

.image-source img {
  position: relative;
  box-shadow: 2px 3px 5px 2px #0008;
}

.image-source .cartel {
  right: 75px;
  bottom: 43px;
  font-size: 14px;
  /*box-shadow: -1px -1px 4px 2px #3338;*/
}

.image-source .cartel.ouvert {
  aspect-ratio: 56/36;
  min-width: 45%;
  background: #fff8e1bb;
  border: 1px solid #999; 
}

.cartel-texte {
  display: none;
}

.ouvert .cartel-texte {
  display: block;
  margin-bottom: 40px;
}

.icone-cartel {
  background: #9990; 
  padding: 3px; 
  border-radius: 3px; 
  border: 2px none #3339; 
  cursor: pointer; 
  position: absolute; 
  right: 5px; 
  bottom: 5px;
}

.ouvert .icone-cartel {
  background: transparent; 
}

.btn-texte-cartel,
.ouvert .btn-fermer-cartel {
  display: block;
}

.ouvert .btn-texte-cartel,
.btn-fermer-cartel {
  display: none;
}


.btn-chronologie:hover {
  opacity: 1 !important;
}

.zones-annotations {position: relative; z-index: 2;}

.zone-annotation {cursor: pointer; min-width: 30px; min-height: 30px; background: rgba(255,255,0,0.5); transform: translate(2.5%,5%); }

.zone-annotation:hover { background: rgba(255,0,0,0); }

.a9s-annotation.annotation-photo .a9s-inner,
.a9s-annotation.editable .annotation-photo .a9s-inner {
  fill: #f002 !important;
}

.a9s-outer {
  stroke: #fff !important;
  stroke-width: 0 !important;
} 

.a9s-inner {
  stroke-width: 0 !important;
  stroke: black !important;
  --couleur-annotation: 210, 11, 18;
  fill: rgba(var(--couleur-annotation),0.3) !important;
  filter: blur(0)
}

.annot-lieux .a9s-inner {
  --couleur-annotation: 120, 120, 120;
  fill: rgba(var(--couleur-annotation),0) !important;
}

.annotation-Berme .a9s-inner {
  /*--couleur-annotation: 60, 165, 40;*/
}



.selection-chrono .a9s-inner {
  fill: #f88  !important;
  stroke: #8b7e61 !important;
  stroke-width: 2px !important;
  filter: blur(0)
}

.a9s-annotation.hover .a9s-inner,.a9s-annotation.hover .annot {
  fill: rgba(var(--couleur-annotation),0.5) !important;
  stroke: #8b7e61 !important;
  stroke-width: 0 !important;
  filter: blur(0)
}

.annot-lieux.a9s-annotation.hover .a9s-inner,.annot-lieux.a9s-annotation.hover .annot {
  fill: rgba(var(--couleur-annotation),0.2) !important;
  filter: blur(0);
  stroke: #d20a11 !important;
  stroke-width: 2 !important;
}

.selected .a9s-inner,
.a9s-annotation.hover.selected .a9s-inner {
  fill: rgba(var(--couleur-annotation),0.5) !important;
  stroke: rgba(var(--couleur-annotation),1) !important;
  stroke-width: 2px !important;
  filter: blur(0)
}

.annot-lieux.selected .a9s-inner,
.annot-lieux.a9s-annotation.hover.selected .a9s-inner {
  fill: rgba(var(--couleur-annotation),0) !important;
  stroke: #d20a11 !important;
  stroke-width: 2 !important;
  filter: blur(0)
}

[data-visio="cana"] .a9s-inner {
  fill: #f00dca77 !important;
}

[data-visio="chevalier"] .a9s-inner {
  fill: #27f00d77 !important;
}



.btn-chrono {
  margin: 1px !important;
}


.btn-chrono.selection-chrono {
  border: 1px solid black;
  top: 0;
  left: 0;
  z-index: 20;
  position: relative;
  margin: 1px -4px !important;
  padding: 5px 0;
  box-shadow: 1px 1px 3px 1px #3336;
}


/*
#visio[data-visio="fouilles"] .openseadragon-canvas canvas {
  filter: sepia(30%)
}

#visio[data-visio="cana"] .openseadragon-canvas canvas {
  filter: sepia(30%)
}

#visio[data-visio="chevalier"] .openseadragon-canvas canvas {
  filter: sepia(30%)
}
*/

.menu-general {position: absolute !important; padding: 5px; top: 0; left: 0;}

.menu-zoom {position: absolute !important; padding: 5px; bottom: 0; left: 50%; transform: translate(-50%,0);}

.menu-navigation {position: absolute !important; padding: 0 5px 5px 5px; right: 0;}

#menu-visio button { border: 1px solid #ccc; width: 30px; height: 30px; background: #fffc center center no-repeat; background-size: contain; }

.menu-annotations button { border: 1px solid #ccc; width: 30px; height: 30px; background: #fffc center center no-repeat; background-size: contain; }

#visio.visio-chargement {
  opacity: 0;
}

.menu-general #index {
  display: block;
  width: 30px; height: 30px; background: transparent center center no-repeat; background-size: contain;
  background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="white" class="bi bi-list" viewBox="0 0 16 16"%3E%3Cpath fill-rule="evenodd" d="M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z"/%3E%3C/svg%3E');
}


#menu-visio #zoom-moins {
  background-image: url('data:image/svg+xml,%3Csvg width="19.53" height="19.26" version="1.1" viewBox="0 0 19.53 19.26" xmlns="http://www.w3.org/2000/svg"%3E%3Ccircle cx="8.7455" cy="8.2582" r="5.0948" fill="%23fff"/%3E%3Cpath d="m8.7756 13.055a4.7283 4.7283 0 1 0 0-9.4567 4.7283 4.7283 0 0 0 0 9.4567zm5.588-4.7283a5.588 5.588 0 1 1-11.176 0 5.588 5.588 0 0 1 11.176 0z" fill="%23000"/%3E%3Cpath d="m12.08 12.833c0.02579 0.03439 0.0533 0.06706 0.08425 0.09887l3.3098 3.3098a0.85987 0.85987 0 0 0 1.2165-1.2156l-3.3098-3.3098a0.86572 0.86572 0 0 0-0.09886-0.08597 5.6207 5.6207 0 0 1-1.2019 1.2036z"/%3E%3Cpath d="m9.2055 7.8991h2.1492c0.57301 1.236e-4 0.57301 0.85982 0 0.8597h-5.1582c-0.57301-1.236e-4 -0.57301-0.85982 0-0.8597h2.1492z"/%3E%3C/svg%3E%0A');
}

#menu-visio #suivant {
  background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chevron-right" viewBox="0 0 16 16"%3E%3Cpath fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/%3E%3C/svg%3E');
  background-size: 70%;
}

#menu-visio #precedent {
  background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chevron-left" viewBox="0 0 16 16"%3E%3Cpath fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/%3E%3C/svg%3E');
  background-size: 70%;
}

#menu-visio #zoom-plus {
  background-image: url('data:image/svg+xml,%3Csvg width="19.53" height="19.26" version="1.1" viewBox="0 0 19.53 19.26" xmlns="http://www.w3.org/2000/svg"%3E%3Ccircle cx="8.7455" cy="8.2582" r="5.0948" fill="%23fff"/%3E%3Cpath d="m8.7756 13.055a4.7283 4.7283 0 1 0 0-9.4567 4.7283 4.7283 0 0 0 0 9.4567zm5.588-4.7283a5.588 5.588 0 1 1-11.176 0 5.588 5.588 0 0 1 11.176 0z" fill="%23000"/%3E%3Cpath d="m12.08 12.833c0.02579 0.03439 0.0533 0.06706 0.08425 0.09887l3.3098 3.3098a0.85987 0.85987 0 0 0 1.2165-1.2156l-3.3098-3.3098a0.86572 0.86572 0 0 0-0.09886-0.08597 5.6207 5.6207 0 0 1-1.2019 1.2036z"/%3E%3Cpath d="m28.19 7.897h2.1492c0.57301 1.236e-4 0.57301 0.85982 0 0.8597h-5.1582c-0.57301-1.236e-4 -0.57301-0.85982 0-0.8597h2.1492z" fill-rule="evenodd"/%3E%3Cpath d="m8.7385 5.1968a0.42985 0.42985 0 0 1 0.42985 0.42985v2.1492h2.1492a0.42985 0.42985 0 0 1 0 0.8597h-2.1492v2.1492a0.42985 0.42985 0 0 1-0.8597 0v-2.1492h-2.1492a0.42985 0.42985 0 0 1 0-0.8597h2.1492v-2.1492a0.42985 0.42985 0 0 1 0.42985-0.42985z"/%3E%3C/svg%3E%0A');
}

#menu-visio #plein-ecran {
background-image: url('data:image/svg+xml,%3Csvg width="19.53" height="19.26" version="1.1" viewBox="0 0 19.53 19.26" xmlns="http://www.w3.org/2000/svg"%3E%3Cpath d="m8.211 11.218a0.36068 0.36068 0 0 0-0.51 0l-2.9547 2.9547v-1.9967a0.36068 0.36068 0 0 0-0.72135 0v2.8674a0.36068 0.36068 0 0 0 0.36068 0.36068h2.8674a0.36068 0.36068 0 0 0 0-0.72135h-1.9967l2.9547-2.9547a0.36068 0.36068 0 0 0 0-0.51zm3.1336 0a0.36068 0.36068 0 0 1 0.51 0l2.9547 2.9547v-1.9967a0.36068 0.36068 0 1 1 0.72135 0v2.8674a0.36068 0.36068 0 0 1-0.36068 0.36068h-2.8674a0.36068 0.36068 0 0 1 0-0.72135h1.9967l-2.9547-2.9547a0.36068 0.36068 0 0 1 0-0.51zm0-3.1336a0.36068 0.36068 0 0 0 0.51 0l2.9547-2.9547v1.9967a0.36068 0.36068 0 1 0 0.72135 0v-2.8674a0.36068 0.36068 0 0 0-0.36068-0.36068h-2.8674a0.36068 0.36068 0 0 0 0 0.72135h1.9967l-2.9547 2.9547a0.36068 0.36068 0 0 0 0 0.51zm-3.1336 0a0.36068 0.36068 0 0 1-0.51 0l-2.9547-2.9547v1.9967a0.36068 0.36068 0 0 1-0.72135 0v-2.8674a0.36068 0.36068 0 0 1 0.36068-0.36068h2.8674a0.36068 0.36068 0 0 1 0 0.72135h-1.9967l2.9547 2.9547a0.36068 0.36068 0 0 1 0 0.51z" fill-rule="evenodd" stroke-width=".72135"/%3E%3C/svg%3E%0A');
}

.lds-ripple {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid #000;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

#phototheque .lds-ripple div {
  border: 4px solid #fff9;
}


.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
@keyframes lds-ripple {
  0% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  4.9% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  5% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 72px;
    height: 72px;
    opacity: 0;
  }
}


.chargement#visio-phototheque:before {
  content: 'chargement...';
  color: #FFF;
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 1;
  transform: translate(-50%,-50%);
  opacity: 0.5;
  background: #d20a11bb;
  border-radius: 3px;
  line-height: 2;
  padding: 5px 29px;
}

.vignette-image-phototheque:hover {
  /*--bs-border-color: rgb(53, 52, 47);*/
  border-color: #d20a11 !important;
}
.vignette-image-phototheque.vignette-selectionnee {
  border-color: #d20a11 !important;
}

.text-primary-INHA {
  color: #d20a11 !important;
}

.text-primary-INHA-subtle {
  color: #d20a11aa !important;
}